## Password Utilities (Legacy)

Password Utilities (Legacy)

## Functions

void | e_passwords_init ()
void | e_passwords_set_online ()
void | e_passwords_remember_password ()
void | e_passwords_add_password ()
gchar * | e_passwords_get_password ()
void | e_passwords_forget_password ()
gchar * | e_passwords_ask_password ()

## Types and Values

enum | EPasswordsRememberType

## Description

## Functions

### e_passwords_init ()

    void
    e_passwords_init (void);

`e_passwords_init` is deprecated and should not be used in newly-written code.

Initializes the e_passwords routines. Must be called before any other e_passwords_* function.

### e_passwords_set_online ()

    void
    e_passwords_set_online (gint state);

`e_passwords_set_online` is deprecated and should not be used in newly-written code.

Set the offline-state of the application. This is a work-around for having the backends fully offline aware, and returns a cancellation response instead of prompting for passwords.

FIXME: This is not a permanent api, review post 2.0.

### e_passwords_remember_password ()

    void
    e_passwords_remember_password (const gchar *key);

`e_passwords_remember_password` is deprecated and should not be used in newly-written code.

Saves the password associated with `key` to disk.

#### Parameters

key | the key |

### e_passwords_add_password ()

    void
    e_passwords_add_password (const gchar *key,
                              const gchar *passwd);

`e_passwords_add_password` is deprecated and should not be used in newly-written code.

This stores the `key` /`passwd` pair in the current session's password hash.

#### Parameters

key | a key |
passwd | the password for `key` |

### e_passwords_get_password ()

    gchar *
    e_passwords_get_password (const gchar *key);

`e_passwords_get_password` is deprecated and should not be used in newly-written code.

#### Parameters

key | the key |

#### Returns

the password associated with `key` , or `NULL`. Caller must free the returned password.

### e_passwords_forget_password ()

    void
    e_passwords_forget_password (const gchar *key);

`e_passwords_forget_password` is deprecated and should not be used in newly-written code.

Forgets the password associated with `key` , in memory and on disk.

#### Parameters

key | the key |

### e_passwords_ask_password ()

    gchar *
    e_passwords_ask_password (const gchar *title,
                              const gchar *key,
                              const gchar *prompt,
                              EPasswordsRememberType remember_type,
                              gboolean *remember,
                              GtkWindow *parent);

`e_passwords_ask_password` is deprecated and should not be used in newly-written code.

Asks the user for a password.

#### Parameters

title | title for the password dialog |
key | key to store the password under |
prompt | prompt string |
remember_type | whether or not to offer to remember the password, and for how long. |
remember | on input, the default state of the remember checkbox. on output, the state of the checkbox when the dialog was closed. |
parent | parent window of the dialog, or `NULL` |

#### Returns

the password, which the caller must free, or `NULL` if the user cancelled the operation. *`remember` will be set if the return value is non-`NULL` and `remember_type` is not E_PASSWORDS_DO_NOT_REMEMBER.

## Types and Values

### enum EPasswordsRememberType

`EPasswordsRememberType` is deprecated and should not be used in newly-written code.

#### Members

E_PASSWORDS_REMEMBER_NEVER |  |
E_PASSWORDS_REMEMBER_SESSION |  |
E_PASSWORDS_REMEMBER_FOREVER |  |
E_PASSWORDS_REMEMBER_MASK |  |
E_PASSWORDS_SECRET |  |
E_PASSWORDS_REPROMPT |  |
E_PASSWORDS_ONLINE |  |
E_PASSWORDS_DISABLE_REMEMBER |  |
E_PASSWORDS_PASSPHRASE |  |